body {
    font-family: 'Arial', sans-serif;
    margin: 0;
    background: gray;
    line-height: 1.6;
}

footer {
    padding:15px 0px;
    background: black;
    color: white;
    text-align: center;
    margin: 0 auto;
    position: fixed; 
    bottom: 0; 
    left: 0; 
    right: 0; 
    height: 50px;
}

.card
            {
                border: 1px solid #ccc;
                border-radius: 8px;
                width: 180px;
                padding: 10px;
                box-shadow: 2px 2px 8px grey;
                display: flex;
                flex-direction: column;
                align-items: center;
            }
            
.card h3, h2{
                margin: 10px 0 5px 0;
                font-size: 16px;
                text-align: center;
            }
            
cart
            {
                margin-top: 40px;
            }

            #cart-items
            {
                max-width: 600px;
                margin: 0 auto;
            }

            #cart-items ul
            {
                list-style: none;
                padding: 0;
            }

/* Навигация */

header {
    background: var(--dark);
    color: white;
    padding: 20px 5%;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo span {
    color: #ffa500;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 20px;
}

.nav-links a {
    color: white;
    text-decoration: none;
}

.nav-links a.active {
    color: #ffa500;
    font-weight: bold;
}



/* Секции */

section {
    padding: 50px 10%;
    text-align: center;
}

.hero {
    background: #ddd;
    padding: 80px 10%;
}



/* Калькулятор и Формы */

.calc-container,
.contact-form {

    background: white;
    padding: 30px;
    border-radius: 10px;

    max-width: 500px;
    margin: 0 auto;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);

}

.input-group {
    margin-bottom: 15px;
    text-align: left;
}

input,
select,
textarea {
    width: 100%;
    padding: 12px;
    margin-top: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-sizing: border-box;
}



/* Услуги */

.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
}

.card {
    background: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    transition: 0.3s;
}

/* Popup */

.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    z-index: 10;
    justify-content: center;
    align-items: center;
}

.popup-content {
    background: white;
    padding: 30px;
    border-radius: 15px;
    text-align: center;
    max-width: 300px;
    position: relative;
}

.close-popup {
    position: absolute;
    top: 10px;
    right: 15px;
    cursor: pointer;
    font-size: 20px;
}

button {
    background: #ffa500;
    border: none;
    padding: 12px 20px;
    cursor: pointer;
    font-weight: bold;
    border-radius: 5px;
    margin-top: 10px;
    width: 100%;
}